> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifuse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the latest backfill run



## OpenAPI

````yaml /openapi.json post /api/webAnalytics.backfillStatus
openapi: 3.0.3
info:
  title: Notifuse API
  description: API for Notifuse - a transactional email and newsletter management platform
  version: 1.0.0
  contact:
    name: Notifuse Support
    url: https://www.notifuse.com/support
    email: hello@notifuse.com
servers:
  - url: https://{notifuseDomain}
    description: Customer-specific Notifuse API server
    variables:
      notifuseDomain:
        description: Your unique Notifuse domain
        default: demo.notifuse.com
security: []
paths:
  /api/webAnalytics.backfillStatus:
    post:
      tags:
        - Web Analytics
      summary: Get the latest backfill run
      operationId: webAnalyticsBackfillStatus
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebAnalyticsBackfillRequest'
      responses:
        '200':
          description: Latest run (null when none exists)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebAnalyticsBackfillResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    WebAnalyticsBackfillRequest:
      type: object
      required:
        - workspace_id
      properties:
        workspace_id:
          type: string
    WebAnalyticsBackfillResponse:
      type: object
      properties:
        backfill:
          type: object
          nullable: true
          properties:
            task_id:
              type: string
            status:
              type: string
              enum:
                - pending
                - running
                - completed
                - failed
                - paused
            progress:
              type: number
            state:
              type: object
              properties:
                filters_version:
                  type: string
                partition_index:
                  type: integer
                rows_updated:
                  type: integer
                  format: int64
            error_message:
              type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API token for authentication

````